| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::TrackerVit Class Reference
Video Analysis » Object Tracking

the VIT tracker is a super lightweight dnn-based general object tracking. More...

`#include <opencv2/video/tracking.hpp>`

Collaboration diagram for cv::TrackerVit:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerVit () CV_OVERRIDE
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker ()
virtual float | getTrackingScore ()
| Return tracking score.
virtual void | init (InputArray image, const Rect &boundingBox)=0
| Initialize the tracker with a known bounding box that surrounded the target.
virtual bool | update (InputArray image, Rect &boundingBox)=0
| Update the tracker, find the new most likely bounding box for the target.

## Static Public Member Functions
static Ptr< TrackerVit > | create (const TrackerVit::Params &parameters=TrackerVit::Params())
| Constructor.

## Protected Member Functions
| TrackerVit ()
Protected Member Functions inherited from cv::Tracker
| Tracker ()

## Detailed Description

the VIT tracker is a super lightweight dnn-based general object tracking.

VIT tracker is much faster and extremely lightweight due to special model structure, the model file is about 767KB. Model download link: https://github.com/opencv/opencv_zoo/tree/main/models/object_tracking_vittrack Author: PengyuLiu, 18729.nosp@m.1850.nosp@m.7@qq..nosp@m.com

## Constructor & Destructor Documentation

## ◆ TrackerVit()

cv::TrackerVit::TrackerVit | ( |  | ) |
| protected

## ◆ ~TrackerVit()

virtual cv::TrackerVit::~TrackerVit | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

static Ptr< TrackerVit > cv::TrackerVit::create | ( | const TrackerVit::Params & | parameters = TrackerVit::Params() | ) |
| static

Python:
| cv.TrackerVit.create( | [, parameters] | ) -> | retval
| cv.TrackerVit_create( | [, parameters] | ) -> | retval

Constructor.

Parameters

  parameters | vit tracker parameters TrackerVit::Params

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp